Loading...
Searching...
No Matches
caf::mixin Namespace Reference

Contains mixin classes implementing several actor traits. More...

## Classes

class | behavior_changer
| A behavior_changer is an actor that supports self->become(...) and self->unbecome(). More...
class | requester
| A requester is an actor that supports self->request(...). More...
class | sender
| A sender is an actor that supports self->send(...). More...
struct | subscriber_base
| Marker for subscriber. More...
class | subscriber
| A subscriber is an actor that can subscribe to a group via self->join(...). More...

## Detailed Description

Contains mixin classes implementing several actor traits.